Output SW drawing document to autocad.dwg or dxf

Why have the option to output to these formats in you can not be sure of the scale? When I try to output to these formats, a message appears warning, that the dimensions may not be correct!! Huh?

Reply to
pete
Loading thread data ...

Your Views in your drawings are probably scaled to fit the drawing sheet. You get the choice to scale the sheet or scale the views. If you scale the views the dimensions should be correct. If you scale the sheet then it's questionable. Best thing to do is try it both ways and reopen the file back into SW.

Regards, Scott

Reply to
Scott

My views are scaled, not the sheet, but I still get the warning box. The dimensions may be correct, but why the warning box? It introduces worries, as a lot of manufacturers still use AutoCAD. Apart from checking every dimension for correctness, my only choice seems to be, use AutoCAD, lol

Reply to
pete

The warning will also appear if you have any view in the drawing that is scaled differently than the others. A detail view for example that is 3:1 when everything else is 1:1 will cause this.

It's really not too bad. One thing to watch out for is if you are exporting a drawing with a title block that shows a scale factor (like 4:1) and you check the scale 1:1 option when exporting a dwg. the dimensions of the parts will be right but the title block scale factor will still obviously read

4:1. This can cause real confusion when you send it out.

If I'm exporting fabrication drawings (assuming they fit) I will make a D sheet drawing at 1:1 scale and then export it.

Zander

Reply to
Zander

Hi Pete -

This all makes sense. What it is is a "legal disclaimer" type of thing.

Translated to english+AutoCADese it would say:

"since you have a few views that are scaled differently, and you have different dimensions for them that have different DIMLFAC settings, be careful when you add new dimensions in the output drawing as you might need to adjust DIMLFAC based on the scale you chose to output with"

:)

SMA

Reply to
Sean-Michael Adams

Reply to
Hi-Tech

"One thing to watch out for is if you are exporting a drawing with a title block that shows a scale factor (like 4:1) and you check the scale 1:1 option when exporting a dwg. the dimensions of the parts will be right but the title block scale factor will still obviously read 4:1. This can cause real confusion when you send it out."

This is an excellent point, and something I hadn't thought about until seeing this. I just set up my templates with a scale factor. Instead of removing it, I wonder if there is another way to word it to help eliminate confusion? Something like "Print Scale 4:1"? Any ideas? Thanks,

Brian

Reply to
Brian Mears

Hi Brian,

If the exported drawing requires a title block AND needs to be exported 1:1 I will edit the title block scale factor to read 1:1 in autocad. Not very elegant but...

Zander

4:1. This can cause real confusion when you send it out."

This is an excellent point, and something I hadn't thought about until seeing this. I just set up my templates with a scale factor. Instead of removing it, I wonder if there is another way to word it to help eliminate confusion? Something like "Print Scale 4:1"? Any ideas? Thanks,

Brian

Reply to
Zander

Eureka - You Got It - Print Size And Geometry Size Do Not Have To Match.

Generally, Your end users will fall into two categories. People who use data, in which case, the will have the geometry at 1:1 or those who have a printed copy which will be scaled based on the paper size. The "paper user" will need the 4:1 scale designator, the "cad person" will not.

I have prepared at least 1000 2D prints (From acad & sw), maybe more like 3000, and have never (yes never!) had a 2D DWG file with geometry with a scale other than 1:1. This of course does not include detail views which by definition are scaled differently. The only change I ever made on a 4:1 print is to make the paper border (format) 1/4 the size. This causes a fit print to be 4:1 scale, but the geometry is invariable and always the "TRUE" 1:1 size.

(actually, I have cheated on this when I need to make a cheap metric drawing of an inch part, but with poetic intent and the license that accompanies it)

In fact, I would go as far as to say that anyone who intentionally uses a GEOMETRY scale other than 1:1 on a 2d DWG, would in my mind be absolutely insane and perhaps looking to make themselves intentionally miserable. This means that might also often use DRAWING scales that are 2:1,4;1, etc. so that the given geometry will fit the paper correctly.

I have also done scores and scores of layouts for CNC and a hard and fast rule to live by is to always always always use 1:1 and perhaps even annotate it as such "ALL GEOMETRY TRUE SIZE", etc.

Simply put - geometry is always the true size, drawing scale is what will change.

Later,

SMA

Reply to
Sean-Michael Adams

Just now using 2005 - they actually have implemented a WARNING that your are outputing 1:1 geometry. LOFL. There should be a warning when you do NOT! Silly ungrounded in reality stuff going on here.

When the hellp will we be able to output a multi-page DRW to series of DXF/DWG files without all this manual labor? When will SW be smart enough to open the file I just output in an external application? So tired of this LABOR INTENSIVE poo poo just to output a DWG series.

Reply to
Sean-Michael Adams

snipped-for-privacy@frontiernet.net (Sean-Michael Adams) wrote in news: snipped-for-privacy@posting.google.com:

Oh boy are you in a good mood today....

Here's a macro I lifted from somwhere and modified to do my bidding on this issue (assuming you don't already have one). I can see there will be a ton of wrapping issues here... And you'll want to alter the sPathName to get the formatting you want. Also, dwg color and layer mapping seems to be broken in sp0. I see it's on the list for SP1.

Sub main() Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc If swModel.GetType 3 Then swApp.SendMsgToUser "Run this on a .SLDDRW file, you silly person!" Exit Sub End If

Dim SheetNames As Variant Dim SheetCount As Integer Dim i As Integer Dim ActiveView As Object Dim sPathName As String Dim nErrors As Long Dim nWarnings As Long Dim nRetval As Long Dim bShowMap As Boolean Dim bRet As Boolean Dim strRevLevel As String ' Show current settings Debug.Print "DxfMapping = " & swApp.GetUserPreferenceToggle (swDxfMapping) Debug.Print "DXFDontShowMap = " & swApp.GetUserPreferenceToggle (swDXFDontShowMap) Debug.Print "DxfVersion = " & swApp.GetUserPreferenceIntegerValue(swDxfVersion) Debug.Print "DxfOutputFonts = " & swApp.GetUserPreferenceIntegerValue(swDxfOutputFonts) Debug.Print "DxfMappingFileIndex = " & swApp.GetUserPreferenceIntegerValue(swDxfMappingFileIndex) Debug.Print "DxfOutputLineStyles = " & swApp.GetUserPreferenceIntegerValue(swDxfOutputLineStyles) Debug.Print "DxfOutputNoScale = " & swApp.GetUserPreferenceIntegerValue(swDxfOutputNoScale) Debug.Print "DxfMappingFiles = " & swApp.GetUserPreferenceStringListValue(swDxfMappingFiles) Debug.Print "DxfOutputScaleFactor = " & swApp.GetUserPreferenceDoubleValue(swDxfOutputScaleFactor) Debug.Print "" ' Turn off showing of map bShowMap = swApp.GetUserPreferenceToggle(swDXFDontShowMap) Debug.Print "bShowMap = " & bShowMap ' swApp.SetUserPreferenceToggle swDXFDontShowMap, True 'get all sheet names SheetNames = swModel.GetSheetNames 'get total number of sheets SheetCount = swModel.GetSheetCount 'Get revision strRevLevel = swModel.CustomInfo2("", "Revision") For i = 0 To SheetCount - 1 ' active first sheet RETVAL = swModel.ActivateSheet(SheetNames(i)) swModel.GraphicsRedraw2

'loop through all views and update Set ActiveView = swModel.GetFirstView Do While Not ActiveView Is Nothing If ActiveView.IsModelOutOfDate = True Then RETVAL = swModel.EditRebuild3 End If Set ActiveView = ActiveView.GetNextView Loop

' Strip off SolidWorks drawing file extension (.slddrw) ' and add DXF file extension (.dxf) sPathName = swModel.GetPathName If sPathName = "" Then swApp.SendMsgToUser ".SLDDRW file be saved first" Exit Sub End If sPathName = Left(sPathName, Len(sPathName) - 7)

sPathName = sPathName & " Rev_" & strRevLevel & " SH_" & Format((i

  • 1), "000") & ".dwg"

'export sheet to dwg bRet = swModel.SaveAs4(sPathName, _ swSaveAsCurrentVersion, _ swSaveAsOptions_Silent, _ nErrors, _ nWarnings) Next swApp.SendMsgToUser "View updates complete." 'Get the current sheet name ' CurrentSheetName = CurrentSheet.GetName Set ActiveView = Nothing Set ActiveNote = Nothing End Sub

Reply to
Dale Dunn

Up late trying to get work done in time for the morning. Every action taking another minute of precious pillow time away (including complaining on google - hehe).

Thanks for the macro Dale! I just put you on my "Favorite People" list.

Thanks a million. I will give it a whirl and let you know how it goes.

Thanks,

Sean

Reply to
Sean-Michael Adams

Oh man, I don't recommend that. I've only had to do it once in recent memory, and my brain would literally shut down about every 20 minutes past

8 PM or so. When it stopped, I'd go downstairs, grab a MD, and go see how they're doing out in the grind shop working on the drawings I just handed them. IIRC, I was only up 'till 1:30 or so, so maybe I got off light. That was back in the MDT days. Dark times.

Um, thanks.

Reply to
Dale Dunn

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.